Bug 1651760 - Enable 3DES ciphers by default
Summary: Enable 3DES ciphers by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nss
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.0
Assignee: nss-nspr-maint
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-20 17:28 UTC by Hubert Kario
Modified: 2019-06-14 00:58 UTC (History)
4 users (show)

Fixed In Version: nss-3.39.0-1.5.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 00:58:24 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1631006 None None None 2019-03-26 11:50:49 UTC

Internal Links: 1631006

Description Hubert Kario 2018-11-20 17:28:57 UTC
Description of problem:
The 3DES ciphers should be enabled in LEGACY mode and we disable in DEFAULT and FUTURE. but for the ciphers to be actually sent we need to have it both enabled by default and part of LEGACY policy.

This is about changing the default for them to be enabled

Version-Release number of selected component (if applicable):
nss-3.38.0-1.0.el8+7

How reproducible:
always

Steps to Reproduce:
1. change system to LEGACY mode
2. run tstclnt, check ClientHello
3.

Actual results:
no 3des ciphers  present

Expected results:
3des ciphers included

Additional info:


Note You need to log in before you can comment on or make changes to this bug.